import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
    id 'com.google.gms.google-services'
    id 'com.google.firebase.crashlytics'
    id 'kotlin-kapt'
}

String timestamp = new SimpleDateFormat("MMddHHmm").format(new Date())

android {
    namespace 'com.keyboard.journey'
    compileSdk 34

    defaultConfig {
        applicationId "com.keyboards.journey"
        minSdk 23
        targetSdk 34
        versionCode 7
        versionName "1.0.7"
        setProperty("archivesBaseName", "KeyboardJourney-V" + versionName + "C${versionCode}-$timestamp")
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = '17'
    }
    buildFeatures {
        viewBinding true
        buildConfig = true
    }
}

dependencies {

    implementation 'androidx.core:core-ktx:1.8.0'
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.11.0'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
    //banner
    implementation 'io.github.youth5201314:banner:2.2.2'
    //沉浸式
    implementation 'com.geyifeng.immersionbar:immersionbar:3.2.2'
    implementation 'com.geyifeng.immersionbar:immersionbar-ktx:3.2.2'
    //图片加载
    implementation 'com.github.bumptech.glide:glide:4.16.0'
    implementation 'jp.wasabeef:glide-transformations:4.3.0'
    //网络请求
    implementation 'com.squareup.okhttp3:okhttp:4.11.0'
    //上拉下拉
    implementation 'io.github.scwang90:refresh-layout-kernel:2.1.0'
    implementation 'io.github.scwang90:refresh-header-classics:2.1.0'
    implementation 'io.github.scwang90:refresh-footer-classics:2.1.0'
    //pag
    implementation 'com.tencent.tav:libpag:4.0.5.10'
    //json动画
    implementation 'com.airbnb.android:lottie:6.0.0'
    //7z
    implementation 'com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.02'

    implementation("com.github.lihangleo2:ShadowLayout:3.4.0")
    implementation("androidx.room:room-ktx:2.6.1")
    implementation("androidx.room:room-runtime:2.6.1")
    //noinspection KaptUsageInsteadOfKsp
    kapt("androidx.room:room-compiler:2.6.1")
    implementation(platform("com.google.firebase:firebase-bom:32.2.2"))
    implementation("com.google.firebase:firebase-analytics-ktx")
    implementation("com.google.firebase:firebase-crashlytics-ktx")
    implementation("com.google.firebase:firebase-config-ktx")


    //-----------------------------TopOn 聚合（mintegral、unityads、liftoff(vungle)、Bigo）
    //Anythink (Necessary)
    implementation("com.anythink.sdk:core-tpn:6.3.68")
    implementation("com.anythink.sdk:nativead-tpn:6.3.68")
    implementation("com.anythink.sdk:banner-tpn:6.3.68")
    implementation("com.anythink.sdk:interstitial-tpn:6.3.68")
    implementation("com.anythink.sdk:rewardedvideo-tpn:6.3.68")
    implementation("com.anythink.sdk:splash-tpn:6.3.68")

    //Androidx (Necessary)
    implementation("androidx.appcompat:appcompat:1.1.0")
    implementation("androidx.browser:browser:1.4.0")

    //Vungle
    implementation("com.anythink.sdk:adapter-tpn-vungle:6.3.68")
    implementation("com.vungle:vungle-ads:7.3.2")
    implementation("com.google.android.gms:play-services-basement:18.1.0")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

    //UnityAds
    implementation("com.anythink.sdk:adapter-tpn-unityads:6.3.68")
    implementation("com.unity3d.ads:unity-ads:4.9.3")

    //Bigo
    implementation("com.anythink.sdk:adapter-tpn-bigo:6.3.68")
    implementation("com.bigossp:bigo-ads:4.7.4")

    //Mintegral
    implementation("com.anythink.sdk:adapter-tpn-mintegral-nonchina:6.3.68")
    implementation("com.mbridge.msdk.oversea:reward:16.7.51")
    implementation("com.mbridge.msdk.oversea:newinterstitial:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbnative:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbnativeadvanced:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbsplash:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbbanner:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbbid:16.7.51")
    implementation("androidx.recyclerview:recyclerview:1.1.0")

    //Tramini
//    implementation("com.anythink.sdk:tramini-plugin-tpn:6.3.68")
    //-----------------------------TopOn 聚合


    // Debugger UI Tools
//    implementation ("com.anythink.sdk:debugger-ui:1.0.7")
}